# $Revision: 1.17 $, $Date: 2004/04/05 19:29:10 $
Summary:	Small program to change text encoding (eg CP852 to ISO8859-2)
Summary(pl):	Programik do konwersji ogonkw (np. CP852 do ISO-8859-2)
Name:		polcnv
Version:	2.2
Release:	3
License:	GPL
Vendor:		Jerzy Sobczyk <J.Sobczyk@ia.pw.edu.pl>
Group:		Applications/Text
Source0:	%{name}.%{version}.tar.gz
# Source0-md5:	de9658abecb1ec7c92af22f89ed97b83
Patch0:		%{name}-fixes.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Polcnv converts polish letters.

%description -l pl
Polcnv konwertuje ogonki w plikach tekstowych.

%prep
%setup -q -n %{name}.%{version}
%patch0 -p1

%build
%{__make} \
	CFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions -fno-implicit-templates -DSVR4"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install %{name} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CZYTAJ.TO Copyright DISCLAIMER READ.ME
%attr(755,root,root) %{_bindir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: polcnv.spec,v $
Revision 1.17  2004/04/05 19:29:10  qboosh
- added fixes patch, really pass optflags, release 3 for Ac

Revision 1.16  2003/05/28 13:01:20  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:25:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/02/15 23:01:13  ankry
- Vendor field fix

Revision 1.13  2002/07/23 20:32:45  marcus
- use new %%doc
- rel.2.

Revision 1.12  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:14:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/05/02 21:51:26  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.9  2000/06/09 07:55:08  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/07 04:31:54  kloczek
- spec adapterized.

Revision 1.7  2000/04/01 11:15:35  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:55:04  baggins
- translated kloczkish into english

Revision 1.5  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).
